// en una variable de tipo entero solo podemos guardar enteros
// cualquier otro intento sera un error semantico
var varent: entero
varent = 4+5.0 // error semantico
varent = 4+[1,2] // error semantico
varent = 1<2 // error semantico

var varent: real // redifinicion de variable error semantico

// un real puede almacenar un entero ademas de a el mismo
var vareal: real
vareal = 4.0+4
vareal = 4+4
vareal = 4+[1] // error semantico
vareal = 1<2 // error semantico

// vareal vale 8, al mostrarlo ha de salir 8.0
escribe vareal

// un polinomio puede almacenar tanto enteros como reales, y por supuesto
// tambien polinomios
var poli: polinomio
poli = [1]+[2]
poli = 4+4
// el entero 8 ha de salir como un polinomio
escribe poli
poli = 4+4.0
// ahora el real 8.0 tambien se representara como un polinomio
escribe poli
poli = 1<2 // error semantico
