
// La division es asociativa por la izquierda:

escribe 4/2/2
escribe 16/4/2/2


// El operando derecho debe ser entero o real (no puede ser polinomio):

escribe 2 / [3]
escribe 2.0 / [3]
escribe [2] / [3]

escribe 2 / (3 + 4 * x ^ 5)
escribe 2.0 / (3 + 4 * x ^ 5)
escribe [2] / (3 + 4 * x ^ 5)

escribe (-2*x^3+5*x^2+6*x-3) / (3*x^2+x-4)
escribe (-2*x^3+5*x^2+6*x-3) / (3*x^2+x-4) == -6*x^5+13*x^4+31*x^3-23*x^2-27*x+12

// Si ambos operandos son del mismo tipo, el resultado es de ese tipo
// (y por tanto, al no haber conversiones de tipos, la division
// de dos enteros es la division entera):

escribe 3 / 2
escribe (3 + 4 * 5) / - (6 - 8)

escribe 3.0 / 2.0

// Si uno de los operandos es entero y el otro real, el resultado es
// real (para ello, primero el entero se debe convertir en real y
// despues se debe realizar la division real, aunque Python lo hace
// por nosotros):

escribe 3 / 2.0
escribe 3.0 / 2

// Si el operando izquierdo es de tipo polinomio, el resultado es el
// polinomio que se obtiene dividiendo cada uno de los coeficientes
// del polinomio por el otro operando:

escribe [22,33,0,-44] / 2
escribe [22,33,0,-44] / 2.0

// Si el operando derecho es igual a cero, se produce un error de ejecucion:

escribe 2 / (15 - 3  * 5)
escribe 2.0 /  (15 - 3  * 5)
escribe [2] / (15 - 3  * 5)

